
#include "treewalk.h"

#include <TH1.h>
#include <TFile.h>


TreeWalk::TreeWalk(string destionation_file, TChain* chain) {

    chain->SetBranchAddress("DiJet_pT_0",&m_DiJet_pT_0);
    chain->SetBranchAddress("DiJet_pT_1",&m_DiJet_pT_1);
    chain->SetBranchAddress("DiJet_delta_phi",&m_DiJet_delta_phi);
    chain->SetBranchAddress("DiJet_delta_R",&m_DiJet_delta_R);
    chain->SetBranchAddress("DiJet_boosted_angle",&m_DiJet_boosted_angle);
    chain->SetBranchAddress("DiJet_boosted_delta_R",&m_DiJet_boosted_delta_R);
    chain->SetBranchAddress("DiJet_balance",&m_DiJet_balance);
    chain->SetBranchAddress("Jet_centrality",&m_Jet_centrality);
    chain->SetBranchAddress("Jet_sphericity",&m_Jet_sphericity);
    chain->SetBranchAddress("Jet_aplanarity",&m_Jet_aplanarity);
    chain->SetBranchAddress("Jet_acoplanarity",&m_Jet_acoplanarity);
    chain->SetBranchAddress("Jet_Thrust",&m_Jet_thrust);
    chain->SetBranchAddress("Jet_thrust_transverse",&m_Jet_thrust_transverse);
    chain->SetBranchAddress("Jet_sphericity1",&m_Jet_sphericity1);
    chain->SetBranchAddress("Jet_sphericity2",&m_Jet_sphericity2);
    chain->SetBranchAddress("Jet_Ht",&m_Jet_Ht);
    chain->SetBranchAddress("Jet_circularity",&m_Jet_circularity);
    chain->SetBranchAddress("cut_info",&m_cutinfo);

    TFile* file = new TFile(destionation_file.c_str(),"RECREATE");

    const Short_t BINS = 40;

    TH1D* th1_balance = new TH1D("balance","Balance;Balance;Number of events",BINS,0,1);

    /// number of total entries in chain of root files
    Long64_t chain_entries = chain->GetEntries();
    // Loop over all leafs in the chain
    for (Long64_t chain_entry = 0; chain_entry < chain_entries; ++chain_entry) {
        chain->GetEvent(chain_entry); // load leafs from tree
        th1_balance->Fill(m_DiJet_balance,1);
    }

    file->Write();
}
// kate: indent-mode cstyle; space-indent on; indent-width 4; 
