#ifndef treewalk_h
#define treewalk_h

#include <string>
#include <vector>
#include <iostream>

#include <TChain.h>

using std::vector;
using std::string;
using std::cout;
using std::endl;

class TreeWalk {
public:
    TreeWalk ( string destionation_file, TChain* chain);

private:
    Double_t m_DiJet_balance;
    Double_t m_DiJet_boosted_angle;
    Double_t m_DiJet_boosted_delta_R;
    Double_t m_DiJet_delta_R;
    Double_t m_DiJet_delta_phi;
    Double_t m_DiJet_pT_0; // pT_0 > pT_1
    Double_t m_DiJet_pT_1; // pT_1 < pT_0
    Double_t m_Jet_Ht;
    Double_t m_Jet_thrust;
    Double_t m_Jet_acoplanarity;
    Double_t m_Jet_aplanarity;
    Double_t m_Jet_centrality;
    Double_t m_Jet_circularity;
    Double_t m_Jet_sphericity;
    Double_t m_Jet_sphericity1;
    Double_t m_Jet_sphericity2;
    Double_t m_Jet_thrust_transverse;
    Double_t m_deltaR_1stJet_Lepton;
    Double_t m_JetSum_eta;
    Int_t    m_cutinfo;

        // cutflow flags
    enum {
        cf_MinBiasMBTS11 = (1 << 0),
        cf_SingleElectronNoMissingETCut = (1 << 1),
        cf_SingleElectronMissingETCut = (1 << 2),
        cf_SingleMuonNoMissingETCut = (1 << 3),
        cf_SingleMuonMissingETCut = (1 << 4)
    };
};

#endif // treewalk_h
// kate: indent-mode cstyle; space-indent on; indent-width 4; 
